Subject: Re: [PATCH 2.6.21-rt2] PowerPC: decrementer clockevent driver

From: Benjamin Herrenschmidt <[email-masked]>
Date: Fri, 18 May 2007 15:04:49 +1000

> 
> Yes, on some implementations there can be other conditions that
> make a decrementer exception go away; there is no contradiction
> here (thankfully).  My wording was sloppy.

Some CPUs have the DEC exceptions basically edge triggered (yeah I know
it sucks). That's why, among others, the IRQ soft-disable code has code
to re-trigger DEC exceptions ASAP (by setting it to 1.. note that we
could probably use 0 here, we've been a bit conservative).

Ben.